Subject: Re: [net-next PATCH v4 0/8] Managing the forwarding database(FDB)

From: "Michael S. Tsirkin" <[email-masked]>
Date: Wed, 2 May 2012 18:08:30 +0300

On Sun, Apr 15, 2012 at 01:06:37PM -0400, David Miller wrote:
> From: John Fastabend <[email-masked]>
> Date: Sun, 15 Apr 2012 09:43:51 -0700
> 
> > The following series is a submission for net-next to allow
> > embedded switches and other stacked devices other then the
> > Linux bridge to manage a forwarding database.
> > 
> > Previously discussed here,
> > 
> > http://lists.openwall.net/netdev/2012/03/19/26
> > 
> > v4: propagate return codes correctly for ndo_dflt_Fdb_dump()
> > 
> > v3: resolve the macvlan patch 8/8 to fix a dev_set_promiscuity()
> >     error and add the flags field to change and get link routines.
> > 
> > v2: addressed feedback from Ben Hutchings resolving a typo in the
> >     multicast add/del routines and improving the error handling
> >     when both NTF_SELF and NTF_MASTER are set.
> > 
> > I've tested this with 'br' tool published by Stephen Hemminger
> > soon to be renamed 'bridge' I believe and various traffic
> > generators mostly pktgen, ping, and netperf.
> 
> All applied, if we need any more tweaks we can just add them
> on top of this work.
> 
> Thanks John.

John, do you plan to update kvm userspace to use this interface?

-- 
MST